Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wowza.wms.plugin.livestreamrecord
Class HTTPLiveStreamRecord

    Object
      com.wowza.wms.http.HTTProvider2Base
          com.wowza.wms.plugin.livestreamrecord.HTTPLiveStreamRecord

All Implemented Interfaces:
  com.wowza.wms.http.IHTTPProvider, com.wowza.wms.http.IHTTPProvider2

    public class HTTPLiveStreamRecord

extends com.wowza.wms.http.HTTProvider2Base

Field Summary
`static int` | `FORMAT_FLV`
`static int` | `FORMAT_MP4`
`static int` | `FORMAT_UNKNOWN`

Fields inherited from class com.wowza.wms.http.HTTProvider2Base
`authenticateHandler, authenticateHTTPProviderHandler, authenticationMethod, filters, properties, requestFilters`

Constructor Summary
`HTTPLiveStreamRecord()`

Method Summary
`void` | `onHTTPRequest(com.wowza.wms.vhost.IVHost vhost, com.wowza.wms.http.IHTTPRequest req, com.wowza.wms.http.IHTTPResponse resp)`
`void` | `recordStream(String streamName, int format, boolean append, String outputPath, boolean versionFile, boolean startOnKeyFrame, boolean recordData)`
`String` | `stopRecording(String streamName)`

Methods inherited from class com.wowza.wms.http.HTTProvider2Base
`canHandle, doHTTPAuthentication, getAuthenticationMethod, getPath, getRequestFilters, init, onBind, onUnbind, setAuthenticationMethod, setProperties, setRequestFilters`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_FLV

    public static final int FORMAT_FLV

See Also:
  Constant Field Values

### FORMAT_MP4

    public static final int FORMAT_MP4

See Also:
  Constant Field Values

### FORMAT_UNKNOWN

    public static final int FORMAT_UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### HTTPLiveStreamRecord

    public HTTPLiveStreamRecord()

Method Detail

### onHTTPRequest

    public void onHTTPRequest(com.wowza.wms.vhost.IVHost vhost,
                              com.wowza.wms.http.IHTTPRequest req,
                              com.wowza.wms.http.IHTTPResponse resp)

### recordStream

    public void recordStream(String streamName,
                             int format,
                             boolean append,
                             String outputPath,
                             boolean versionFile,
                             boolean startOnKeyFrame,
                             boolean recordData)

### stopRecording

    public String stopRecording(String streamName)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD